<?php
add_action( 'after_setup_theme', 'black_paper_setup' );
function black_paper_setup() {
	register_nav_menu( 'menu-id', __( 'Primary Menu', 'black-paper'  ) );
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size(223, 167, TRUE);
	global $content_width;
	if ( ! isset( $content_width ) )
	$content_width = 960;
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'custom-background' );
	add_action( 'wp_enqueue_scripts', 'black_paper_frontend' );
	add_theme_support( 'woocommerce' );
	add_image_size( 'black-paper-logo-size', 330, 1000, true );
    add_theme_support( 'site-logo', array( 'size' => 'black-paper-logo-size' ) );    load_theme_textdomain( 'black-paper', get_template_directory() . '/languages' );}
function black_paper_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'after_setup_theme', 'black_paper_styles' );
function black_paper_widgets() 
{
		register_sidebar( array(
    'name' => __( 'Sidebar Header 1', 'black_paper' ),        'id'   => 'sidebar-head1',
	) 
	);
	register_sidebar( array(
    'name' => __( 'Sidebar Header 2', 'black_paper' ),        'id'   => 'sidebar-head2',
	) 
	);
	register_sidebar( array(
    'name' => __( 'Sidebar Footer 1', 'black_paper' ),    'id'   => 'sidebar-footer1',
	) 
	);
	register_sidebar( array(
    'name' => __( 'Sidebar Footer 2', 'black_paper' ),    'id'   => 'sidebar-footer2',
	) 
	);
	register_sidebar( array(
    'name' => __( 'Sidebar Footer 3', 'black_paper' ),    'id'   => 'sidebar-footer3',	
    )     );
	register_sidebar( array(
    'name' => __( 'Sidebar Footer 4', 'black_paper' ),    'id'   => 'sidebar-footer4',	    ) 
    );
	register_sidebar( array(
    'name' => __( 'Sidebar Footer 5', 'black_paper' ),    'id'   => 'sidebar-footer5',	
    ) 
    );
}
add_action( 'widgets_init', 'black_paper_widgets' );
add_filter('loop_shop_per_page', create_function('$cols', 'return 12;'));
add_filter('loop_shop_columns', 'black_paper_loop_columns');
if (!function_exists('black_paper_loop_columns')) {
	function black_paper_loop_columns() {
		return 3;
	}
}
function woocommerce_output_related_products() {
    $args = array('posts_per_page' => 3, 'columns' => 3,'orderby' => 'rand' );
    woocommerce_related_products( apply_filters( 'woocommerce_output_related_products_args', $args ) );}
function black_paper_frontend() {
 	wp_enqueue_style( 'black_paper-style', get_stylesheet_uri() );
}
function black_paper_wp_title( $title, $sep ) {
	global $paged, $page;
	if ( is_feed() )
		return $title;
	$title .= get_bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";
	if ( $paged >= 3 || $page >= 3 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'black-paper' ), max( $paged, $page ) );
	return $title;
}
add_filter( 'wp_title', 'black_paper_wp_title', 10, 3 );

function black_paper_comment() {	if ( is_singular() ) wp_enqueue_script( "comment-reply" );}    add_action( 'wp_enqueue_scripts', 'black_paper_comment' );
add_action( 'wp_enqueue_scripts', 'black_paper_tag_cloud' );
function black_paper_tag_cloud( $tags ){
    return preg_replace(
        "~ style='font-size: (\d+)pt;'~",
        ' class="tag-cloud-size-\10"',
        $tags
    );
}
add_filter('add_to_cart_fragments', 'black_paper_fragment');
function black_paper_fragment( $fragments ) 
{
    global $woocommerce;
    ob_start(); ?>
    <a class="cart-contents" href="<?php echo $woocommerce->cart->get_cart_url(); ?>" title="<?php _e('View your shopping cart', 'black-paper'); ?>"><?php echo sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'black_paper'), $woocommerce->cart->cart_contents_count);?> <?php echo $woocommerce->cart->get_cart_total(); ?></a>
    <?php
    $fragments['a.cart-contents'] = ob_get_clean();
    return $fragments;
}
?>